Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ResourceFactory Class Reference

Inheritance diagram for ResourceFactory:

[legend]
Collaboration diagram for ResourceFactory:

[legend]
List of all members.

## Public Member Functions
| ResourceFactory ()
| DuplicateResource ($ResourceId)
| ClearQualifier ($ObjectOrId, $NewObjectOrId=NULL)
| GetRatedResourceCount ()
| GetRatedResourceUserCount ()
| GetRecentlyReleasedResources ($Count=10, $Offset=0, $MaxDaysToGoBack=90)
| GetResourceIdsSortedBy ($FieldName, $Ascending=TRUE, $Limit=NULL)
| GetTimestampOfLastResourceModification ($OnlyReleasedResources=TRUE)
| GetPossibleFieldNames ()
| GetMatchingResources ($ValuesToMatch)
| GetResourceCount ($FieldId, $Value, $CountType="All")
| QueueResourceCountUpdate ()
| UpdateResourceCountCallback ()

## Detailed Description

Definition at line 19 of file ResourceFactory.php.

## Member Function Documentation

ResourceFactory::ClearQualifier | ( | $ | ObjectOrId,
|  | $ | NewObjectOrId = `NULL` |
| ) |  |  |

Definition at line 67 of file ResourceFactory.php.

ResourceFactory::DuplicateResource | ( | $ | ResourceId | ) |

Definition at line 31 of file ResourceFactory.php.

References ItemFactory::Status().

ResourceFactory::GetMatchingResources | ( | $ | ValuesToMatch | ) |

Definition at line 272 of file ResourceFactory.php.

References ItemFactory::$DB, ItemFactory::$FieldId, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_POINT, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, and MetadataSchema::MDFTYPE_URL.

ResourceFactory::GetPossibleFieldNames | ( |  | ) |

Definition at line 255 of file ResourceFactory.php.

ResourceFactory::GetRatedResourceCount | ( |  | ) |

Definition at line 118 of file ResourceFactory.php.

ResourceFactory::GetRatedResourceUserCount | ( |  | ) |

Definition at line 127 of file ResourceFactory.php.

ResourceFactory::GetRecentlyReleasedResources | ( | $ | Count = `10`,
|  | $ | Offset = `0`,
|  | $ | MaxDaysToGoBack = `90` |
| ) |  |  |

Definition at line 136 of file ResourceFactory.php.

ResourceFactory::GetResourceCount | ( | $ | FieldId,
|  | $ | Value,
|  | $ | CountType = `"All"` |
| ) |  |  |

Definition at line 322 of file ResourceFactory.php.

References ItemFactory::$FieldId, MetadataSchema::MDFSTAT_OK, MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_OPTION, and ItemFactory::Status().

ResourceFactory::GetResourceIdsSortedBy | ( | $ | FieldName,
|  | $ | Ascending = `TRUE`,
|  | $ | Limit = `NULL` |
| ) |  |  |

Definition at line 165 of file ResourceFactory.php.

References MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, and MetadataSchema::MDFTYPE_URL.

ResourceFactory::GetTimestampOfLastResourceModification | ( | $ | OnlyReleasedResources = `TRUE` | ) |

Definition at line 245 of file ResourceFactory.php.

ResourceFactory::QueueResourceCountUpdate | ( |  | ) |

Definition at line 357 of file ResourceFactory.php.

ResourceFactory::ResourceFactory | ( |  | ) |

Definition at line 24 of file ResourceFactory.php.

References ItemFactory::ItemFactory().

ResourceFactory::UpdateResourceCountCallback | ( |  | ) |

Definition at line 370 of file ResourceFactory.php.

References ItemFactory::$DB.

The documentation for this class was generated from the following file:

- ResourceFactory.php